Name: snmptrapappender
Version: 1.2.9
Release: alt1

License: Open Source (Apache like)
Group: Development/Java

Summary: SNMP Trap Appender extension for log4j
Url: http://www.m2technologies.net/asp/snmpTrapAppender.asp
Source0: %name-%version.tar.bz2
Source1: snmpTrapAppender_build.xml

BuildPreReq: /proc rpm-build-java
BuildRequires: ant joesnmp log4j
Requires: joesnmp log4j
BuildArch: noarch

%description
An appender to send formatted logging event strings to a
specified managment host (typically, a MLM of some sort,
but could also be an SNMP management console) in the form
of an SNMP trap.
This appender does not attempt to provide full access to the
SNMP API. In particular, use of this appender does not make
an SNMP agent out of the calling application. You cannot use
this appender as an interface to do SNMP GET or SET calls --
all it does is pass on your logging event as a TRAP.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc for %name.

%prep
%setup -q
%__cp %SOURCE1 build.xml
%__chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
# delete wengsoft.
rm src/org/apache/log4j/ext/WengsoftSNMPTrapSender.java

%build
%set_classpath %_javadir/joesnmp.jar
%add_classpath %_javadir/log4j.jar
%ant_build dist javadoc

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}
# jar
%__install -m 0644 dist/lib/*.jar %buildroot%_javadir/%name.jar
# javadoc
%__cp -pr javadoc/* %buildroot%_javadocdir/%name

%files
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Thu May 05 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.9-alt1
- Initial build for ALT Linux Sisyphus

